# src/pixi/utils/Detector.js - Pixi.JS

#

API Docs for: 1.0.0
Show: Inherited Protected Private Deprecated

# File: src/pixi/utils/Detector.js

    /**
     * @author Mat Groves http://matgroves.com/ @Doormat23
     */

    /**
     * This helper function will automatically detect which renderer you should be using.
     * WebGL is the preferred renderer as it is a lot fastest. If webGL is not supported by the browser then this function will return a canvas renderer
     * @method autoDetectRenderer
     * @static
     * @param width {Number} the width of the renderers view
     * @param height {Number} the height of the renderers view
     * @param view {Canvas} the canvas to use as a view, optional
     * @param transparent {Boolean} the transparency of the render view, default false
     * @default false
     */
    PIXI.autoDetectRenderer = function(width, height, view, transparent)
    {
    	if(!width)width = 800;
    	if(!height)height = 600;

    	// BORROWED from Mr Doob (mrdoob.com)
    	var webgl = ( function () { try { return !! window.WebGLRenderingContext && !! document.createElement( 'canvas' ).getContext( 'experimental-webgl' ); } catch( e ) { return false; } } )();

    	//console.log(webgl);
    	if( webgl )
    	{
    		return new PIXI.WebGLRenderer(width, height, view, transparent);
    	}

    	return	new PIXI.CanvasRenderer(width, height, view, transparent);
    };